[arch-commits] Commit in django/trunk (PKGBUILD)

Andrea Scarpino andrea at archlinux.org
Tue Jan 5 13:20:31 EST 2010


    Date: Tuesday, January 5, 2010 @ 13:20:30
  Author: andrea
Revision: 62243

upgpkg: django 1.1.1-3
    setuptools is not needed as dependence; added optional dependencies

Modified:
  django/trunk/PKGBUILD

----------+
 PKGBUILD |   20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-05 17:13:30 UTC (rev 62242)
+++ PKGBUILD	2010-01-05 18:20:30 UTC (rev 62243)
@@ -1,21 +1,27 @@
 # $Id$
+# Maintainer:
 # Contributor: Shahar Weiss <sweiss4 at gmx.net>
 # Contributor: simo <simo at archlinux.org>
-# Maintainer: Douglas Soares de Andrade <douglas at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
 
 pkgname=django
 pkgver=1.1.1
-pkgrel=2
+pkgrel=3
 pkgdesc="A high-level Python Web framework."
 arch=('i686' 'x86_64')
 license=('BSD')
 url="http://www.djangoproject.com"
-depends=('setuptools')
+depends=('python')
+makedepends=('setuptools')
+optdepends=('mysql-python: for MySQL backend'
+	'psycopg1: for PostgreSQL backend'
+	'psycopg2: for PostgreSQL backend'
+	'python-pysqlite: for SQlite backend')
 source=("http://media.djangoproject.com/releases/$pkgver/Django-$pkgver.tar.gz")
+md5sums=('d7839c192e115f9c4dd8777de24dc21c')
 
 build() {
-    cd $startdir/src/Django-$pkgver
-    python setup.py install --root=$startdir/pkg || return 1
-    install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+  cd ${srcdir}/Django-$pkgver
+  python setup.py install --root=${pkgdir} || return 1
+  install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/$pkgname/LICENSE || return 1
 }
-md5sums=('d7839c192e115f9c4dd8777de24dc21c')



More information about the arch-commits mailing list